%define major      0
%define libname    %mklibname %{name} %{major}
%define oldmajor   1
%define oldlibname %mklibname %{name} %{oldmajor}

Name:           kmyfirewall
Version:        1.0.1
Release:        %mkrel 1
License:        GPL
Summary:        IPTables-based firewall configuration tool for the KDE
Group:          System/Configuration/Networking
URL:            http://kmyfirewall.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/kmyfirewall/%{name}-%{version}.tar.bz2
Source1:        %{name}-icons.tar.bz2
Requires:       %{libname} = %{version}-%{release}
Requires:       iptables
BuildRequires:  kdelibs-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KMyFirewall attempts to make it easier to setup IPTables based firewalls
on Linux systems.  It will be the right tool if you like to have a so
called "Personal Firewall" running on your Linux box, but don't have the
time and/or the interest to spend hours in front of the IPTables manual
just to setup a Firewall that keeps the "bad" people out.

There is also the possibility to save entire rule sets, so you only have
to configure your rule set one time and then you can use it on several
computers giving each of them a similar configuration (p.e. school
networks, office, university etc.). For a complete list of the features
have a look at the Features section

Programs can't do any magic so you still will have to know what your
firewall should do to setup your rule set. KMyFirewall just tries to
help you as much as possible, but you decide what it will do.

%package -n %{libname}-devel
Summary:        Development libraries for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{_lib}%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Development libraries for %{name}.

%package -n %{libname}
Summary:        Header files for kmyfirewall
Group:          Graphical desktop/KDE
Conflicts:      %{oldlibname} <= 0.9.6.2-2mdk

%description -n %{libname}
Libraries for %{name}.

%prep
%setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{version} -T -D -a1

%build
# FIXME: use a macro here
./configure --libdir=%{_libdir} --with-xinerama --disable-rpath
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall}

%{__perl} -pi -e 's/\015$//' %buildroot/%{_includedir}/kmyfirewall/kmfwidgets/kmfobjectinfo.cpp

%{__mkdir_p} %{buildroot}%{_menudir}
%{__cat} > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{name}" \
needs="X11" \
icon="%{name}.png" \
section="System/Configuration/Networking" \
title="KMyFirewall" \
longtitle="IPTables-based firewall configuration tool for the KDE" \
xdg="true"
EOF

%{__install} -m644 %{name}48.png -D %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m644 %{name}32.png -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{name}16.png -D %{buildroot}%{_miconsdir}/%{name}.png

%{__rm} -r %{buildroot}%{_datadir}/doc/HTML

%post
%{update_menus}

%postun
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/kde3/*.so
%exclude %{_libdir}/*.la
%exclude %{_libdir}/kde3/*.la
%{_includedir}/kmyfirewall/kmfwidgets/*.h
%{_includedir}/kmyfirewall/core/*.h
%{_includedir}/kmyfirewall/interfaces/*.h
%{_includedir}/kmyfirewall/kmfwidgets/kmfobjectinfo.cpp

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/kde/kmyfirewall.desktop
%{_datadir}/apps/kmfgenericinterfacepart
%{_datadir}/apps/kmfipteditorpart
%{_datadir}/apps/kmfsystray
%dir %{_datadir}/config.kcfg
%{_datadir}/config.kcfg/kmfconfig.kcfg
%{_datadir}/config/kmyfirewallrc
%{_datadir}/icons/Locolor/16x16/apps/kmyfirewall.png
%{_datadir}/icons/Locolor/32x32/apps/kmyfirewall.png
%{_datadir}/icons/Locolor/48x48/apps/kmyfirewall.png
%{_datadir}/icons/hicolor/16x16/apps/kmyfirewall.png
%{_datadir}/icons/hicolor/22x22/apps/kmyfirewall.png
%{_datadir}/icons/hicolor/32x32/apps/kmyfirewall.png
%{_datadir}/icons/hicolor/48x48/apps/kmyfirewall.png
%{_datadir}/icons/hicolor/64x64/apps/kmyfirewall.png
%{_datadir}/mimelnk/application/kmfrs.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%dir %{_datadir}/apps
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/README.InstallerPackage.txt
%{_datadir}/apps/%{name}/icons/hicolor/16x16/actions/builtin.png
%{_datadir}/apps/%{name}/icons/hicolor/16x16/actions/rule.png
%{_datadir}/apps/%{name}/icons/hicolor/16x16/actions/table.png
%{_datadir}/apps/%{name}/icons/hicolor/16x16/actions/user_defined.png
%{_datadir}/apps/%{name}/icons/hicolor/22x22/actions/rule.png
%{_datadir}/apps/%{name}/icons/hicolor/32x32/actions/rule.png
%{_datadir}/apps/%{name}/icons/hicolor/48x48/actions/rule.png
%{_datadir}/apps/%{name}/icons/hicolor/64x64/actions/rule.png
%{_datadir}/apps/%{name}/kmyfirewallui.rc
%dir %{_datadir}/apps/%{name}/kpartplugins
%{_datadir}/apps/%{name}/kpartplugins/kmfinstallerpluginui.rc
%{_datadir}/apps/%{name}/kpartplugins/kmfiptablescompiler.rc
%dir %{_datadir}/apps/%{name}/pics
%{_datadir}/apps/%{name}/pics/kmf_snapshot_generic_interface.png
%{_datadir}/apps/%{name}/pics/kmf_snapshot_iptables_interface.png
%{_datadir}/apps/%{name}/pics/reject.png
%{_datadir}/apps/%{name}/pics/splash.png
%{_datadir}/apps/%{name}/pics/splash_cut.png
%{_datadir}/apps/%{name}/pics/target.png
%dir %{_datadir}/apps/%{name}/protocols
%{_datadir}/apps/%{name}/protocols/kmfprotocollibrary.xml
%dir %{_datadir}/apps/%{name}/ruleoptions
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_custom_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_frag_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_interface_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_ip_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_limit_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_mac_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_protocol_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_state_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_target_log_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_target_mark_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_target_nat_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_target_tos_reject_option.xml
%{_datadir}/apps/%{name}/ruleoptions/kmfruleoption_tos_option.xml
%dir %{_datadir}/apps/%{name}/templates
%{_datadir}/apps/%{name}/templates/01_empty_ruleset_template.tkmfgrs
%{_datadir}/apps/%{name}/templates/01_empty_ruleset_template.tkmfrs
%{_datadir}/apps/%{name}/templates/02_workstation_template.tkmfgrs
%{_datadir}/apps/%{name}/templates/02_workstation_template.tkmfrs
%{_datadir}/apps/%{name}/templates/03_nat_router_template.tkmfgrs
%{_datadir}/apps/%{name}/templates/03_nat_router_template.tkmfrs
%{_datadir}/apps/%{name}/templates/04_web_server_template.tkmfgrs
%attr(0755,root,root) %{_datadir}/apps/%{name}/scripts/kmfinstall.sh
%attr(0755,root,root) %{_datadir}/apps/%{name}/scripts/kmfpkginstall.sh
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Apr 03 2007 David Walluck <walluck@mandriva.org> 1.0.1-1mdv2007.1
+ Revision: 150644
- 1.0.1
- Import kmyfirewall




* Sat Jan  7 2006 Anssi Hannula <anssi@mandriva.org> 1.0-2mdk
- fix x86_64 build

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-1mdk
- New release 1.0

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.3mdk
- Fix BuildRequires
- %%mkrel

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.2mdk
- fix devel section
- Fix rpmlint error ( rpath, wrong encoding )

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.1mdk
- 1.0 Beta1
- Fix source0 url
- Fix file section

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.6.2-6mdk
- Fix on x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-5mdk
- Fix update from 10.1

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-4mdk
- Fix MDK bug #14504

* Fri Feb 4 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.6.2-3mdk
- fixed summary-ended-with-dot and requires-on-release
- removed P0
- fixed provides
- removed la files
- major 0
- add xinerama support

* Tue Aug 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6.2-2mdk
- fix the use of summary macro in menu item
- cleanups

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-2mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6.2-1mdk
- 0.9.6.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.6-3mdk
- Rebuild

* Wed Sep 3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.6-2mdk
- fixed loong summary
- correct permission of kmyfirewall source code archive
- cleanup spec file

* Tue Sep 2 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.9.6-1mdk
- some reformatting of description
- use configure and make macros
- small rewrite of install section
- add icons
- dirty patch for libtool CXX problem
